Get information about all responses of a recipient
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/responses
Path Parameters
- clientIdstringrequiredDescription
Query Parameters
- limitinteger<int32>DescriptionFormatint32
- recipientIdsstring[]Description
- mailingIdinteger<int64>DescriptionFormatint64
- categorystringrequiredDescriptionAllowedhardbouncesoftbounceautoresponderunknown
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestResponseStreamingCollection
- elementsRestResponse[]
- mailIdstringDescription
- mailingIdinteger<int64>DescriptionFormatint64
- recipientListIdinteger<int64>DescriptionFormatint64
- recipientIdstringDescription
- categorystringDescription
- subjectstringDescription
- ruleNamestringDescription
- mediaTypestring<EMAIL | FAX | SMS | LETTER | PUSH | PRINT>DescriptionAllowedEMAILFAXSMSLETTERPUSHPRINT
- createdstring<date-time>DescriptionFormatdate-time
- countinteger<int32>Formatint32
- offsetinteger<int32>Formatint32
- limitinteger<int32>Formatint32
400
404
curl
curl --request GET \
--url 'https://api.campaign.episerver.net/rest/{clientId}/responses?category=hardbounce' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/responses?category=hardbounce", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/responses?category=hardbounce")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/responses?category=hardbounce"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The responses were retrieved successfully (empty result if none was found).
{
"elements": [
{
"mailId": "",
"mailingId": "",
"recipientListId": "",
"recipientId": "",
"category": "",
"subject": "",
"ruleName": "",
"mediaType": "",
"created": ""
}
],
"count": "",
"offset": "",
"limit": ""
}400
// None of the mandatory parameters were provided (category and mailingId/recipientIds), or limit parameter is greater than 10000.
404
// If a mailingId was requested and that mailingId was not found. If one or more recipientIds were requested and none of them were found.